Package com.avaya.clientservices.call.feature

## Enum FeatureError

- java.lang.Object
- - java.lang.Enum<FeatureError>
  - - com.avaya.clientservices.call.feature.FeatureError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FeatureError>`

      public enum FeatureError
      extends java.lang.Enum<FeatureError>

  Feature invocation related errors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUSY` | User is busy.
    `CANCELLED` | Request cancelled.
    `CREDENTIALS` | Invalid credentials.
    `GENERAL` | General server error.
    `INTERNAL` | Server internal error.
    `INVALID_PARAMETER` | Feature can not be invoked with these paramters.
    `REJECTED` | Invocation request rejected.
    `SEND` | Request send error.
    `STATE` | Invalid state.
    `UNDEFINED` | Undefined Error.
    `UNSUPPORTED` | Feature not supported.
    `USER_NOT_FOUND` | Invalid user.
    `USER_TEMPORARILY_UNAVAILABLE` | User not registered.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FeatureError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FeatureError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final FeatureError UNDEFINED

      Undefined Error.

    - #### UNSUPPORTED

          public static final FeatureError UNSUPPORTED

      Feature not supported.

    - #### REJECTED

          public static final FeatureError REJECTED

      Invocation request rejected.

    - #### BUSY

          public static final FeatureError BUSY

      User is busy.

    - #### USER_NOT_FOUND

          public static final FeatureError USER_NOT_FOUND

      Invalid user.

    - #### USER_TEMPORARILY_UNAVAILABLE

          public static final FeatureError USER_TEMPORARILY_UNAVAILABLE

      User not registered.

    - #### INVALID_PARAMETER

          public static final FeatureError INVALID_PARAMETER

      Feature can not be invoked with these paramters.

    - #### SEND

          public static final FeatureError SEND

      Request send error.

    - #### CREDENTIALS

          public static final FeatureError CREDENTIALS

      Invalid credentials.

    - #### STATE

          public static final FeatureError STATE

      Invalid state.

    - #### GENERAL

          public static final FeatureError GENERAL

      General server error.

    - #### INTERNAL

          public static final FeatureError INTERNAL

      Server internal error.

    - #### CANCELLED

          public static final FeatureError CANCELLED

      Request cancelled.

  - ### Method Detail

    - #### values

          public static FeatureError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureError c : FeatureError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null